Containerized Treebird FE Build
========================================
This git repo contains files needed to build a docker container for
Nekobit's `Treebird` C-FCGI based front end for [Pleroma](https://pleroma.social/).

## Requirements - Build

- `docker` (or `docker.io` on older distros)
- bash
- git

## Requirements - Run

- `docker` (or `docker.io` on older distros)
- `nginx` (or another FCGI capable web server)

## Building
Building the container should be as simple as running `build_container.sh` and
waiting for the build to complete.

	./build_container.sh [tag (optional, defaults to latest)]

## Running
The `run_container.sh` script will start the `Treebird` FCGI container on port 4008
ready to receive requests from `nginx` or whatever FCGI capable http server you have.

	# NOTE: The instance url MUST contain the trailing /
	./run_container.sh [instance, e.g. "https://sleepy.cafe/"] [tag (optional, latest)]

### Running - Local Nginx
For local use and testing an `nginx` `Dockerfile` is provided in the `nginx-test` folder.
To use it, after building the `Treebird` container, do the following.

	cd nginx-test
	./build_container.sh [tag (optional, defaults to latest)]

Then to run it just run `run_container.sh`. This will *not* launch with the `-d`
option so it will close when you close the terminal (since this is only for testing).

	./run_container.sh [tag (optional, defaults to latest)]

From here, you can open your preferred web browser to `http://localhost/` and `Treebird`
should appear.

## Installing
TODO (will add steps after I install it on my own domain).
